---
title: performance.mark()
slug: Web/API/Performance/mark
tags:
  - API
  - Method
  - Reference
  - Web Performance
---
<div>{{APIRef("User Timing API")}}</div>

<p>The <strong><code>mark()</code></strong> method creates a {{domxref("DOMHighResTimeStamp","timestamp")}} in the browser's <em>performance entry buffer</em> with the given name.</p>

<p>The application defined timestamp can be retrieved by one of the {{domxref("Performance")}} interface's <code>getEntries*()</code> methods ({{domxref("Performance.getEntries","getEntries()")}}, {{domxref("Performance.getEntriesByName","getEntriesByName()")}} or {{domxref("Performance.getEntriesByType","getEntriesByType()")}}).</p>

<p>The <code>mark()'s</code> stores its data internally as {{domxref("PerformanceEntry")}}.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>performance</em>.mark(name);
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt>name</dt>
 <dd>A {{domxref("DOMString")}} representing the name of the mark. <span>If the </span><code>name</code><span> given to this method already exists in the {{domxref("PerformanceTiming")}} interface, {{jsxref("SyntaxError")}} is thrown.</span></dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>void</dt>
 <dd></dd>
</dl>

<h2 id="Example">Example</h2>

<p>The following example shows how to use <code>mark()</code> to create and retrieve {{domxref("PerformanceMark")}} entries.</p>

<pre class="brush:js notranslate">// Create a bunch of marks.
performance.mark("squirrel");
performance.mark("squirrel");
performance.mark("monkey");
performance.mark("monkey");
performance.mark("dog");
performance.mark("dog");

// Get all of the PerformanceMark entries.
const allEntries = performance.getEntriesByType("mark");
console.log(allEntries.length);
// 6

// Get all of the "monkey" PerformanceMark entries.
const monkeyEntries = performance.getEntriesByName("monkey");
console.log(monkeyEntries.length);
// 2

// Clear out all of the marks.
performance.clearMarks();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('User Timing Level 2', '#dom-performance-mark', 'mark()')}}</td>
   <td>{{Spec2('User Timing Level 2')}}</td>
   <td>Clarifies <code>mark()</code> processing model.</td>
  </tr>
  <tr>
   <td>{{SpecName('User Timing', '#dom-performance-mark', 'mark()')}}</td>
   <td>{{Spec2('User Timing')}}</td>
   <td>Basic definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.mark")}}</p>
</div>
